Subject: Re: CI failure due to warning in diff.c

From: Bruno Haible <[email-masked]>
Date: Wed, 24 May 2023 20:50:50 +0200

Paul Eggert wrote:
> I don't know how to find out the details of the diffutils CI build. 

It's gcc 9.3.0 (this can be found from the CI's distro [1] and the
distrowatch database [2]).

> If you're configuring with --enable-gcc-warnings or equivalent

No, the CI build merely uses CPPFLAGS="-Wall". [3]

> However, I think the bug is probably that the build was using GCC 11.1 
> or 11.2, which is buggy in this area. I installed the attached patches 
> to Gnulib to work around that problem.

Ah, thanks. I didn't know that -Wno-missing-field-initializers already
had a configure test in manywarnings.m4.

Bruno

[1] https://gitlab.com/gnu-diffutils/ci-distcheck/-/blob/main/.gitlab-ci.yml#L31
[2] https://distrowatch.com/dwres.php?firstlist=ubuntu&secondlist=ubuntu&firstversions=7&secondversions=3&resource=compare-packages&view=major&refresh=Aktualisieren
[3] https://gitlab.com/gnu-diffutils/ci-distcheck/-/blob/main/.gitlab-ci.yml#L73